Fields
Prev | Chapter 10. Managing External Viewers with Mailcap | Next

## Fields

Since mailcap handling is primarily for displaying of resources, all fields like edit, print, compose etc. are ignored.

Note: Test commands are supported, but unfortunately, it's not possible to provide the file when running the test. So any test that requires a file will be considered failed and the handler will not be used.

Unfortunately, there are no native support for the copiousoutput field. The field basically mean needs pager. So it is handled by appending a pipe and a pager program to the command. The pager program will be read from the `PAGER` environment variable. If this fails, test are made for common pager programs (`/usr/bin/pager`, `/usr/bin/less` and `/usr/bin/more` in that order). So if you define png2ascii as your handler for image/png and specify copiousoutput then the executed command will be "`png2ascii |/usr/bin/less`" if less is your pager or present on your system.

Prev | Up | Next
Reading of Mailcap Files | Home | Mailcap Configuration